"use strict";

var GO_CSnM = function(){
	this.sprite = new Sprite(GO_CSnM.spriteSheet,"CSnM");
	this.sprite.collision_flags = 
		DEFINE_SPRITE_COLLISION_FLAGS.SPRITES_PASSIVE;
	this.sprite.setBoundingBox(1,1,30,12);
	this.sprite.game_object = this; // no longer a generic GO

	this.name = "CSnM";

	this._makeCheckable("GD_Sign_CSnM");
};
GO_CSnM.spriteImg = SDS_Load_Image("art/sheets/sprite/c_s_m.png");
GO_CSnM.spriteSheet = new TileSheet(5, 4, 0, 0, GO_CSnM.spriteImg);

GO_CSnM.prototype = new GameObject(
	new Sprite(
		GO_CSnM.spriteSheet,
		"CSnM"
	),
	"CSnM"
	);

	GO_CSnM.prototype.Update = function(){

	};
